+ Start a Discussion
hyjhyj 

How to confirm an API version number corresponding to a specified release version?

For example:
1. I'm using APIs of version 30.0, then which release notes is useful for me? Spring '14 or any other one?
2. I find that release Spring '15 has something necessary for me, then which API version should I use? 33.0 or any other one?

Thanks
Best Answer chosen by hyj
Himanshu ParasharHimanshu Parashar
This API version means that when you deploy changes using the API (e.g. using the Eclipse Force.com IDE plugin) and use version 30, your target SFDC Org will deploy these changes with the logic it associates with that particular version of the MetaData API (30). So for example, version 33 introduces a new field on the object ApexPage called isConfirmationTokenRequired. If you try to upload an Apex Page which contains that field and you are trying to do so using API version 30, your deployment script will fail because that field is not known for that API Version. On the other hand, if you would upload the same file specifying API version 30, it would work fine.

S0 It is always suggested to upgrade your API version to the latest version with every release.

Current API version is 35 so you can upgrade to that version.


Thanks,
Himanshu

All Answers

Himanshu ParasharHimanshu Parashar
This API version means that when you deploy changes using the API (e.g. using the Eclipse Force.com IDE plugin) and use version 30, your target SFDC Org will deploy these changes with the logic it associates with that particular version of the MetaData API (30). So for example, version 33 introduces a new field on the object ApexPage called isConfirmationTokenRequired. If you try to upload an Apex Page which contains that field and you are trying to do so using API version 30, your deployment script will fail because that field is not known for that API Version. On the other hand, if you would upload the same file specifying API version 30, it would work fine.

S0 It is always suggested to upgrade your API version to the latest version with every release.

Current API version is 35 so you can upgrade to that version.


Thanks,
Himanshu
This was selected as the best answer
hyjhyj
Thank you very much!